Bug 1589065 - Forbidden to read the project: admin, for collection type: stack
Summary: Forbidden to read the project: admin, for collection type: stack
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: GA
: 5.10.0
Assignee: Gilles Dubreuil
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On:
Blocks: 1595269
TreeView+ depends on / blocked
 
Reported: 2018-06-08 09:57 UTC by Niladri Roy
Modified: 2019-02-07 23:03 UTC (History)
12 users (show)

Fixed In Version: 5.10.0.13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:00 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:08 UTC

Description Niladri Roy 2018-06-08 09:57:03 UTC
Description of problem:
Repeated entries in evm.log with WARN of "Forbidden to read the project:"

Version-Release number of selected component (if applicable):
5.9.0.22

How reproducible:
everytime at Cu environment

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 14 Gilles Dubreuil 2018-08-30 23:54:38 UTC
Hi Nikhil,

That's great, thanks guys.This only occurs when there are no stacks in the environment anywhere. Having even a single one works around that problem.

I'll test and follow-up for back-port.

Comment 17 Jad Haj Yahya 2018-12-06 07:55:43 UTC
Hi Gilles,

Could you supply steps to verify this bug


Thanks

Comment 18 Gilles Dubreuil 2018-12-13 11:47:39 UTC
Hi Jadh,

The customer is facing warnings when CloudForms Inventory is trying to access Orchestration stacks. And assuming there are no tasks (the default for the overcloud) which makes "openstack stack list" CLI return with an empty list.

From CloudForm just register against an OSP instance using default admin user and monitor the evm.log file for the warning messages containing: 

"WARN -- : MIQ(OpenstackHandle::OrchestrationDelegate#handled_list) Forbidden to read the project: admin, for collection type: stacks, in provider:"

Please let me know if you need more details.

Regards

Comment 19 Jad Haj Yahya 2018-12-13 12:45:09 UTC
(In reply to Gilles Dubreuil from comment #18)
> Hi Jadh,
> 
> The customer is facing warnings when CloudForms Inventory is trying to
> access Orchestration stacks. And assuming there are no tasks (the default
> for the overcloud) which makes "openstack stack list" CLI return with an
> empty list.
> 
> From CloudForm just register against an OSP instance using default admin
> user and monitor the evm.log file for the warning messages containing: 
> 
> "WARN -- : MIQ(OpenstackHandle::OrchestrationDelegate#handled_list)
> Forbidden to read the project: admin, for collection type: stacks, in
> provider:"
> 
> Please let me know if you need more details.
> 
> Regards

Thnaks a lot, that was helpful

Comment 20 Jad Haj Yahya 2018-12-13 12:45:52 UTC
Verified on 5.10.0.28

Comment 21 errata-xmlrpc 2019-02-07 23:03:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.